#include <dos.h>

#define A 0
#define AS 1
#define B 3
#define C 4
#define CS 5
#define D 6
#define DS 7
#define E 8
#define F 9
#define FS 10
#define G 11
#define GS 12

int make_sound(char N, int o, int d);
int make_rest(int l);
int notes[13][8];

//----------------------------------------------main-----------------------------------------
int main(void)
{
	notes[A][0] = 27;
	notes[AS][0] = 29;
	notes[B][0] = 31;
	notes[C][0] = 33;
	notes[CS][0] = 35;
	notes[D][0] = 37;
	notes[DS][0] = 39;
	notes[E][0] = 41;
	notes[F][0] = 44;
	notes[FS][0] = 46;
	notes[G][0] = 49;
	notes[GS][0] = 52;
//-------------------------assigns values to the remaining 8 octaves-------------------------
	for(int Z=0; Z<8; Z++)
	{
		notes[A][Z+1]=notes[A][Z]*2;
		notes[AS][Z+1]=notes[AS][Z]*2;
		notes[B][Z+1]=notes[B][Z]*2;
		notes[C][Z+1]=notes[C][Z]*2;
		notes[CS][Z+1]=notes[CS][Z]*2;
		notes[D][Z+1]=notes[D][Z]*2;
		notes[DS][Z+1]=notes[DS][Z]*2;
		notes[E][Z+1]=notes[E][Z]*2;
		notes[F][Z+1]=notes[F][Z]*2;
		notes[FS][Z+1]=notes[FS][Z]*2;
		notes[G][Z+1]=notes[G][Z]*2;
		notes[GS][Z+1]=notes[GS][Z]*2;
	}

	for(int o=0;o<8;o++)
		for(int n=0;n<12;n++)
			make_sound(n,o,1000);
	nosound();
	return(0);
}

//-----------------------------------------make_sound----------------------------------------
int make_sound(char N, int o,int d)
{
	sound(notes[N][o]);
	delay(d);
	return 0;
}

//----------------------------------------make_rest------------------------------------------
int make_rest(int l)
{
	nosound();
	delay(l);
	return 0;
}