#include <graphics.h>
#include <stdlib.h>
#include <stdio.h>
#include <conio.h>

int main(void)
{
   /* select a driver and mode that supports */
   /* multiple background colors.            */
   int gdriver = EGA, gmode = EGAHI, errorcode;
   int bkcol, maxcolor, textcolor, x, y;
   char msg[80], msg2[80];

   /* initialize graphics and local variables */
   initgraph(&gdriver, &gmode, "C:/tc/bgi");

   /* read result of initialization */
   errorcode = graphresult();
   if (errorcode != grOk)  /* an error occurred */
   {
      printf("Graphics error: %s\n", grapherrormsg(errorcode));
      printf("Press any key to halt:");
      getch();
      exit(1); /* terminate with an error code */
   }

   /* maximum color index supported */
   maxcolor = getmaxcolor();

   /* for centering text messages */
   settextjustify(CENTER_TEXT, CENTER_TEXT);
   x = getmaxx() / 2;
   y = getmaxy() / 2;

   textcolor=maxcolor;

   for (bkcol=0; bkcol<maxcolor; bkcol++)
   {
	/* clear the sceen*/
	cleardevice();

	/* select a new background color */
	setbkcolor(bkcol);

	/* select a new text color */
	setcolor(textcolor);
	sprintf(msg, "Background color: %d", bkcol);
	sprintf(msg2, "Text color: %d", textcolor);
	outtextxy(x, y, msg);
	textcolor--;
	getch();
   }
   /* clean up */
   closegraph();
   return 0;
}