#include <iostream.h>

class RAM {
public:
	RAM(int p, int f);
	void Accelerate(int Change);
	void Refuel(void);
	void BurnFuel(void);
	int Fuel, Passengers, Speed;
private:
	double FuelConsumption(void);
	int NumWheels, MaxPassengers, MaxSpeed;
	double WheelBase, EngineSize, FuelEfficiency, FuelCapacity, Weight;
};

void main()
{
	RAM Bobby(2, 53);
}

RAM::RAM(int p, int f)
{
	Passengers = p;
	Fuel = f;
	Speed = 0;
	NumWheels = 4;
	MaxPassengers = 3;
	FuelCapacity = 80;
	WheelBase = 3.0;
	EngineSize = 4.2;
	Weight = 2500+180*Passengers;
	FuelEfficiency = Weight/280;
	MaxSpeed = 220;
};

void RAM::Accelerate(int Change)
{
	Speed += Change;
	if (Speed > MaxSpeed)
		Speed = MaxSpeed;
	if(Fuel <= 0)
		Speed = 0;
};

void RAM::BurnFuel(void)
{
	Fuel -= FuelConsumption();
};

void RAM::Refuel(void)
{
	Fuel = FuelCapacity;
};

double RAM::FuelConsumption(void)
{
	double Burned;
	Weight = 2500 + 180*Passengers;
	FuelEfficiency = Weight / 280;
	Burned = FuelEfficiency * ((double)Speed/100);
	return Burned;
};
